/* Scrnshot.c, screenshot and other common functions */

/* This program is free software. You may redistribute and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License or
 * (at your option) any later version.
 *
 * Refer to the file C:\LCARS24\DATA\COPYING.TXT for details.
 */

#ifndef SCRNSHOT_H
#define SCRNSHOT_H


#include "lcars24.h"
#include "lccolor.h"


void Screenshot792(char *filespec);
void Screenshot1024(char *filespec);
void SmoothBlit2x(BITMAP *src, BITMAP *dest, int srcX, int srcY,
int destX, int destY, int srcW, int srcH);
void SmoothBlitY(BITMAP *bmp, int srcX, int srcY, int w, int h);
int SmoothBlitX(int srcX, int srcY, int w, int h);
int FixBlack(int srcX, int srcY, int w, int h);
void GrayArea(int x, int y, int w, int h);
void Pause(int numsecs);


#endif


